org.eclipse.actf.util.logging

## Class DebugPrintUtil

- java.lang.Object
- - org.eclipse.actf.util.logging.DebugPrintUtil

    public class DebugPrintUtil
    extends Object

Utility class to print logs into console in debug or development mode.

### Constructor Summary

Constructors
Constructor and Description
`DebugPrintUtil()`

### Method Summary

Methods
`static void` `debugPrintln(Object target)` Print target Object to console in debug mode.
`static void` `debugPrintStackTrace(Exception e)` Print stack trace of target Exception in debug mode.
`static void` `devOrDebugPrintln(Object target)` Print target Object to console in debug or development mode.
`static void` `devOrDebugPrintStackTrace(Exception e)` Print stack trace of target Exception in debug or development mode.
`static void` `devPrintln(Object target)` Print target Object to console in development mode.
`static void` `devPrintStackTrace(Exception e)` Print stack trace of target Exception in development mode.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugPrintUtil

    public DebugPrintUtil()

### Method Detail

#### debugPrintln

    public static void debugPrintln(Object target)

Print target Object to console in debug mode.

Parameters:
  `target` - the target Object to print

#### devPrintln

    public static void devPrintln(Object target)

Print target Object to console in development mode.

Parameters:
  `target` - the target Object to print

#### devOrDebugPrintln

    public static void devOrDebugPrintln(Object target)

Print target Object to console in debug or development mode.

Parameters:
  `target` - the target Object to print

#### debugPrintStackTrace

    public static void debugPrintStackTrace(Exception e)

Print stack trace of target Exception in debug mode.

Parameters:
  `e` - the target Exception

#### devPrintStackTrace

    public static void devPrintStackTrace(Exception e)

Print stack trace of target Exception in development mode.

Parameters:
  `e` - the target Exception

#### devOrDebugPrintStackTrace

    public static void devOrDebugPrintStackTrace(Exception e)

Print stack trace of target Exception in debug or development mode.

Parameters:
  `e` - the target Exception